Index: components/artifactView/js/ArtifactView.js
===================================================================
--- components/artifactView/js/ArtifactView.js	(revision 9653)
+++ components/artifactView/js/ArtifactView.js	(working copy)
@@ -87,9 +87,10 @@
         return proto;
     };
     
-    var makeSection = function (titleKey, count, sectionContents) {
+    var makeSection = function (titleKey, titleOpenKey, count, sectionContents) {
         return {
             sectionTitleKey: titleKey,
+            sectionTitleOpenKey: titleOpenKey,
             sectionSize: count,
             sectionContents: sectionContents 
         };
@@ -103,7 +104,7 @@
                 title: mediaItem.title
             };
         });
-        return makeSection("artifactMedia", model.artifactMediaCount, sectionContents);
+        return makeSection("artifactMedia", "artifactMediaOpened", model.artifactMediaCount, sectionContents);
     };
     
     var commentsToSection = function (model, options) {
@@ -117,7 +118,7 @@
  //           };
  //       });
         var commentCount = options.comments.options.model.comments.length;
-        return makeSection("artifactComments", commentCount, sectionContents);              
+        return makeSection("artifactComments", "artifactCommentsOpened", commentCount, sectionContents);              
     };
     
     var relatedArtifactsToSection = function (model, options) {
@@ -130,7 +131,7 @@
                 showBadge: val.hasMedia === "yes"
             };
         });
-        return makeSection("artifactRelated", model.artifactRelatedCount, sectionContents);
+        return makeSection("artifactRelated", "artifactRelatedOpened", model.artifactRelatedCount, sectionContents);
     };
     
     var makeCabinetSections = function (model, options, mediaIconURLs) {
@@ -172,6 +173,13 @@
         that.refreshView();
     };
     
+    var updateSectionHeader = function (that, selector, newSectionHeaderText) {
+        var section = that.sections[that.locate("sections", that.options.selectors.sectionContainer).index(selector)];
+        that.locate("sectionHeader", selector)
+            .text(fluid.stringTemplate(that.options.strings[section[newSectionHeaderText]], 
+                {size: section.sectionSize}));
+    };
+    
     var setupSubcomponents = function (that) {
         var museumID = fluid.engage.url.params().db;
     
@@ -190,6 +198,12 @@
         
         if (that.sections.length > 0 && that.options.useCabinet) {
             that.cabinet = fluid.initSubcomponent(that, "cabinet", [that.locate("sectionContainer"), fluid.COMPONENT_OPTIONS]);
+            that.cabinet.events.afterOpen.addListener(function (selector) {
+                updateSectionHeader(that, selector, "sectionTitleOpenKey");
+            });
+            that.cabinet.events.afterClose.addListener(function (selector) {
+                updateSectionHeader(that, selector, "sectionTitleKey");
+            });
         }
         // Note current deficient, time-dependent and awkward strategy based on rebuilding components on re-render, awaiting
         // RENDEROUR ANTIGENS
@@ -277,7 +291,10 @@
         strings: {
             artifactMedia: "Show Audio and Video (%size)",
             artifactComments: "Show Comments (%size)",
-            artifactRelated: "Show Related Artifacts (%size)",            
+            artifactRelated: "Show Related Artifacts (%size)",
+            artifactMediaOpened: "Hide Audio and Video (%size)",
+            artifactCommentsOpened: "Hide Comments (%size)",
+            artifactRelatedOpened: "Hide Related Artifacts (%size)",            
             comment: "Comment",
             
             // TODO: These strings should be correctly scoped to the ArtifactCollectView.
Index: components/artifactView/messages/messages_fr.json
===================================================================
--- components/artifactView/messages/messages_fr.json	(revision 9653)
+++ components/artifactView/messages/messages_fr.json	(working copy)
@@ -2,6 +2,9 @@
     "artifactMedia": "Voir les contenus audios et vidéos (%size)",
     "artifactComments": "Voir les commentaires (%size)",
     "artifactRelated": "Voir les artéfacts associés (%size)",
+    "artifactMediaOpened": "Masquer le contenu audio et vidéo (%size)",
+    "artifactCommentsOpened": "Masquer les commentaires (%size)",
+    "artifactRelatedOpened": "Masquer les artéfacts associés (%size)",
     "comment": "Commenter",
     "collect": "Collectionner",
     "uncollect": "Retirer",
